*,
*::before,
*::after {
  box-sizing: border-box;
}

/* font-family: 'Roboto', sans-serif; */
/* custom properties */
:root {
  --ff-primary: "Montserrat", sans-serif;
  --ff-secondary: "Montserrat", sans-serif;
  --fw-reg: 300;
  --fw-bold: 900;
  --clr-light: #fffffd;
  --clr-dark: #09697f;/* #4cc9f0 */
  --clr-accent: #104B5D;
  --clr-dark-bg: #CDCFDC;
  --clr-light-bg: #d0e0f0;
  --fs-h1: 3rem;
  --fs-h2: 2.5rem;
  --fs-h3: 1.25rem;
  --fs-body: 1rem;
  --bs: 0.25em 0.25em 0.75em rgba(0, 0, 0, 0.432),
    0.5em 0.5em 0.95em rgba(0, 0, 0, 0.397);
}
 
body,
html {
  font-family: "Montserrat", sans-serif;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  background-color: var(--clr-dark-bg);
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background: var(--clr-accent);
}

::-webkit-scrollbar-thumb {
  background: var(--clr-dark-bg);
  border-radius: 300px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--clr-dark);
}

.typewriter h1 {
  /* color: #fff; */
  display: inline-block;
  font-family: monospace;
  overflow: hidden;
  border-right: 0.15em solid orange;
  white-space: nowrap;
  margin: 0 auto;
  letter-spacing: 0.15em;
  animation: typing 3.5s steps(30, end), blink-caret 0.5s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}
/* The typewriter cursor effect */
@keyframes blink-caret {
  from, to {
    border-color: transparent;
  }
  50% {
    border-color: var(--clr-light-bg);
  }
}
.bird {
  background-image: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/174479/bird-cells-new.svg);
  background-size: auto 100%;
  width: 88px;
  height: 125px;
  will-change: background-position;
  animation-name: fly-cycle;
  animation-timing-function: steps(10);
  animation-iteration-count: infinite;
}
.bird--one {
  animation-duration: 1s;
  animation-delay: -0.5s;
}
.bird--two {
  animation-duration: 0.9s;
  animation-delay: -0.85s;
}
.bird--three {
  animation-duration: 1.25s;
  animation-delay: -0.25s;
}
.bird--four {
  animation-duration: 1.1s;
  animation-delay: -0.5s;
}

.bird-container {
  position: absolute;
  top: 20%;
  left: -10%;
  transform: scale(0) translateX(-10vw);
  will-change: transform;
  animation-name: fly-right-one;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
.bird-container--one {
  animation-duration: 15s;
  animation-delay: 0;
}
.bird-container--two {
  animation-duration: 16s;
  animation-delay: 1s;
}
.bird-container--three {
  animation-duration: 14.6s;
  animation-delay: 9.5s;
}
.bird-container--four {
  animation-duration: 16s;
  animation-delay: 10.25s;
}

@keyframes fly-cycle {
  100% {
    background-position: -900px 0;
  }
}
@keyframes fly-right-one {
  0% {
    transform: scale(0.3) translateX(-10vw);
  }
  10% {
    transform: translateY(2vh) translateX(10vw) scale(0.4);
  }
  20% {
    transform: translateY(0vh) translateX(30vw) scale(0.5);
  }
  30% {
    transform: translateY(4vh) translateX(50vw) scale(0.6);
  }
  40% {
    transform: translateY(2vh) translateX(70vw) scale(0.6);
  }
  50% {
    transform: translateY(0vh) translateX(90vw) scale(0.6);
  }
  60% {
    transform: translateY(0vh) translateX(110vw) scale(0.6);
  }
  100% {
    transform: translateY(0vh) translateX(110vw) scale(0.6);
  }
}
@keyframes fly-right-two {
  0% {
    transform: translateY(-2vh) translateX(-10vw) scale(0.5);
  }
  10% {
    transform: translateY(0vh) translateX(10vw) scale(0.4);
  }
  20% {
    transform: translateY(-4vh) translateX(30vw) scale(0.6);
  }
  30% {
    transform: translateY(1vh) translateX(50vw) scale(0.45);
  }
  40% {
    transform: translateY(-2.5vh) translateX(70vw) scale(0.5);
  }
  50% {
    transform: translateY(0vh) translateX(90vw) scale(0.45);
  }
  51% {
    transform: translateY(0vh) translateX(110vw) scale(0.45);
  }
  100% {
    transform: translateY(0vh) translateX(110vw) scale(0.45);
  }
}
.button {
  background-color: var(--clr-dark);
  border: none;
  border-radius: 0.2rem;
  color: var(--clr-light);
  padding: 0.5rem 1rem;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  cursor: pointer;
}
.footer {
  color: var(--clr-accent);
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  font-size: medium;
  width: 50%;
  margin: auto;

}



@media (min-width: 1200px) {
 
 
  section {
    margin-bottom: 10rem;
  }
  /* cover page */
  .hamburger {
    display: none;
  }
  .logo {
    width: 100%;
    height: 5rem;
  }
  .cover-page {
    background-image: url(/images/trees-gcd6d99c4e_1920.jpg);
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .intro-message {
    display: block;
    padding: 4rem 4rem 4rem 0;
    width: 50%;
    align-self: end;
    text-align: right;
  }
  .sidebar-background {
    background-color: #104B5D;
    position: fixed;
    left: 0;
    width: 5.5rem;
    height: 100vh;
    transition: width 0.2s linear 0.2s;
  }
  .sidebar {
    position: fixed;
    color: var(--clr-light);
    left: 0;
    height: 100vh;
    width: auto;
    display: flex;
    flex-direction: column;
    z-index: 10;
  }
  .sidelinks,
.socials {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-direction: column;
    width: 5.5rem;
    z-index: 7;
    justify-content: space-around;
    align-items: center;
  }
  .sidelinks {
    padding: 2rem 0;
    height: 70%;
  }
  .socials {
    padding: 1rem;
    height: 30%;
  }
  .sidelinks a,
.socials a {
    width: auto;
    height: auto;
    text-decoration: none;
    color: var(--clr-light);
  }
  .sidelinks i, .socials i {
    font-size: 1.5rem;
  }
  .span {
    padding-left: 1rem;
    width: 5.5rem;
    height: 2rem;
    display: inline-block;
    position: absolute;
    visibility: hidden;
    transition: visibility 0s ease-in 0.3s;
  }
  .sidebar:hover .sidebar-background {
    width: 11rem;
    visibility: visible;
  }
  .sidebar:hover .span {
    visibility: visible;
  }
  .hidden {
    display: none;
  }
  .highlight {
    border: solid 1px none;
    border-radius: 10px;
    background-color: transparent;
    transition: all 0.2s;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 100;
    display: block;
    box-shadow: var(--bs);
  }
  .project-info i {
    font-size: 2rem;
    color: #080000;
  }
  .project-info .repo {
    display: none;
  }
  .section-title {
    margin-bottom: 2rem;
    text-align: center;
    color: var(--clr-accent);
  }
  .greeting {
    transform: translateX(-250%);
    animation: greeting 0.8s linear 0.5s forwards;
  }
  @keyframes greeting {
    0% {
      transform: translateX(-250);
    }
    20% {
      transform: translateX(-200%);
    }
    40% {
      transform: translateX(-150%);
    }
    60% {
      transform: translateX(-100%);
    }
    80% {
      transform: translateX(-50%);
    }
    100% {
      transform: translateX(0%);
    }
  }
  .name {
    transform: translateX(-250%);
    animation: greeting 0.9s linear 1.5s forwards;
  }
  @keyframes name {
    0% {
      transform: translateX(-250);
    }
    20% {
      transform: translateX(-200%);
    }
    40% {
      transform: translateX(-150%);
    }
    60% {
      transform: translateX(-100%);
    }
    80% {
      transform: translateX(-50%);
    }
    100% {
      transform: translateX(0%);
    }
  }
  .name {
    transform: translateX(-250%);
    animation: greeting 1s linear 0.5s forwards;
  }
  @keyframes name {
    0% {
      transform: translateX(-250);
    }
    20% {
      transform: translateX(-200%);
    }
    40% {
      transform: translateX(-150%);
    }
    60% {
      transform: translateX(-100%);
    }
    80% {
      transform: translateX(-50%);
    }
    100% {
      transform: translateX(0%);
    }
  }
  .self-intro {
    transform: translateX(-250%);
    animation: greeting 0.5s linear 1s forwards;
  }
  @keyframes self-intro {
    0% {
      transform: translateX(-250);
    }
    20% {
      transform: translateX(-200%);
    }
    40% {
      transform: translateX(-150%);
    }
    60% {
      transform: translateX(-100%);
    }
    80% {
      transform: translateX(-50%);
    }
    100% {
      transform: translateX(0%);
    }
  }
  .bounce {
    width: 3rem;
    height: 3rem;
    display: block;
    margin: 0 auto;
    animation: bounce 2s infinite;
  }
  @keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
      transform: translateY(0);
    }
    40% {
      transform: translateY(0.5rem);
    }
    60% {
      transform: translateY(0.19rem);
    }
  }
  /* Aboutme */
  .about-me {
    padding-left: 16rem;
    display: flex;
    
  }
  .mypicture {
    width: 20em;
    height: 20em;
    background-color: black;
    background-image: url(/images/profile.jpeg);
    background-position: center;
    background-size: contain;
    justify-self: center;
    align-self: center;
    box-shadow: var(--bs);
    border-radius: 50%;
  }

  .about-info {
    width: 25em;
    height: auto;
    margin-left: 10rem;
    color: #104B5D;
    text-align: center;
  }
  .about-info > p {
    padding: 0 2rem;
    color: rgb(0, 0, 0);
    line-height: 2.5;
  }
  /* skills section */
  .skills {
    background-color: var(--clr-accent);
    margin: 2rem 2rem 8rem 14rem;
    width: 70vw;
    padding: 2rem;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    text-align: center;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
  }
  .skills > li {
    padding: 1rem;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    background-color: var(--clr-light);
    margin: 1rem;
    list-style: none;
  }
  .skills > li > img {
    height: 3rem;
    width: 3rem;
  }
  /* project section */
  .projects {
    padding: 0 4rem;
    margin: 3rem 0;
    background-color: var(--clr-accent);
    margin: 2rem 2rem 8rem 14rem;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    display: flex;
  }
  .project-image {
    padding-top: 4rem;
    flex-basis: 50%;
    transform: scale(0.5, 0.5);
  }
  .project-image > img {
    width: 100%;
  }
  .project-info {
    margin-left: 1rem;
    padding-top: 3rem;
    padding-left: 2rem;
    padding-bottom: 1rem;
    flex-basis: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    color: var(--clr-light-bg);
    transform: scale(0.5, 0.5);
  }
  .project-animation {
    animation: enlarge 1.5s linear forwards;
  }
  .project-info > h5 {
    text-align: center;
    font-weight: bold;
    color: var(--clr-light-bg);
  }
  .project-tech {
    margin-top: 2rem;
    display: flex;
    color: var(--clr-light-bg);
    list-style: none;
    justify-content: center;
  }
  .project-tech > li {
    padding-right: 1rem;
  }
  .project-tech :last-child {
    color: var(--clr-dark-bg);
    font-weight: 800;
  }
  .repo {
    margin-top: 2rem;
    text-align: center;
  }
  .repo > p {
    display: inline-block;
    margin-left: -3px;
    padding: 0 0.5rem;
  }
  .repo > p > a {
    text-decoration: none;
    color: var(--clr-light-bg);
  }
  .repo p:first-child {
    border-right: solid 3px black;
  }
  @keyframes enlarge {
    0% {
      transform: scale(0.5, 0.5);
    }
    20% {
      transform: scale(0.6, 0.6);
    }
    40% {
      transform: scale(0.7, 0.7);
    }
    60% {
      transform: scale(0.8, 0.8);
    }
    80% {
      transform: scale(0.9, 0.9);
    }
    100% {
      transform: scale(1, 1);
    }
  }
  /* contact */
  .contact-me {
    background-color: var(--clr-accent);
    margin: 2rem 2rem 8rem 14rem;
    padding: 2rem;
    display: flex;
    justify-content: space-evenly;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    color: var(--clr-light-bg);
  }
  .contact {
    flex-basis: 50%;
    margin-right: 2rem;
  }
  .contact-info {
    padding: 3rem;
    line-height: 2.5;
    flex-basis: 50%;
  }
}

@media (max-width: 1190px) {
  .logo {
    display: none;
  }
  .hidden-menu {
    position: fixed;
    right: 1rem;
    top: 1rem;
    z-index: 100;
    outline: solid 1px black;
  }
  .hamburger {
    position: absolute;
    right: 1rem;
    top: 1rem;
    font-size: 2rem;
    color: var(--clr-light-bg);
    cursor: pointer;
  }
  .close {
    position: absolute;
    right: 1rem;
    top: 1rem;
    font-size: 2.5rem;
    color: var(--clr-light-bg);
    cursor: pointer;
  }
  .hidden {
    display: none;
  }
  .visibility {
    visibility: hidden;
  }
  .translate {
    transform: translateX(-80vw);
  }
  .cover-page {
    background-image: url(/images/trees-gcd6d99c4e_1920.jpg);
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: space-betwen;
  }
  .sidebar {
    background-color: var(--clr-dark);
    position: fixed;
    left: 100vw;
    padding-top: 3rem;
    color: var(--clr-light);
    width: 80vw;
    height: 100vh;
    box-shadow: var(--bs);
    transition: transform 0.3s linear 0.2s;
  }
  .sidelinks {
    padding-top: 3rem;
    width: 100%;
    height: 100%;
  }
  .sidelinks {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
  }
  .sidelinks > li {
    background-color: var(--clr-accent);
    list-style: none;
    width: 80%;
    height: 4rem;
    text-align: center;
    border: solid 1px none;
    border-radius: 0.2rem;
  }
  .sidelinks > li > a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    color: var(--clr-light);
    text-decoration: none;
  }
  .span {
    padding: 0 1rem;
  }
  .socials {
    display: none;
  }
  .sidebar-background {
    display: none;
  }
  .bounce {
    width: 3rem;
    height: 3rem;
    display: block;
    margin: 0 auto;
    animation: bounce 2s infinite;
  }
  @keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
      transform: translateY(0);
    }
    40% {
      transform: translateY(0.5rem);
    }
    60% {
      transform: translateY(0.19rem);
    }
  }
  .sidelinks > ul > li > a > i,
.socials > ul > li > a > i {
    display: none;
  }
  /* .profile-picture {
    display: none;
  } */
  .intro-message {
    margin: auto auto;
    padding: 4rem;
    text-align: center;
  }
  .section-title {
    color: var(--clr-accent);
    text-align: center;
    margin: 2rem 2rem;
  }
  /* About_me  */
  .about-me {
    color: var(--clr-light);
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .about-info {
    width: 25em;
    height: auto;
    color: var(--clr-accent);
    text-align: center;
  }
  .about-info > p {
    padding: 0 2rem;
    color: var(--clr-accent);
    line-height: 2.5;
  }
  .mypicture {
    margin: 1rem;
    height: 15em;
    width: 15em;
    border-radius: 50%;
    background-color: black;
    background-image: url(/images/profile.jpeg);
    background-position: center;
    background-size: contain;
    box-shadow: var(--bs);
  }

 
  /* skills section */
  .skills {
    background-color: var(--clr-accent);
    margin: 2rem 2rem;
    padding: 2rem;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    text-align: center;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
  }
  .skills > li {
    background-color: var(--clr-light);
    padding: 0.5rem;
    border: solid 1px none;
    border-radius: 0.3rem;
    box-shadow: var(--bs);
    margin: 1rem;
    list-style: none;
  }
  .skills > li > img {
    height: 2rem;
    width: 2rem;
  }
  /* project section */
  .projects {
    margin: 4rem 2rem;
    padding: 2rem;
    background-color: var(--clr-accent);
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    display: flex;
    flex-direction: column;
    color: var(--clr-light-bg);
  }
  .project-image {
    display: none;
  }
  .project-info {
    transform: none;
  }
  .project-info > h5 {
    text-align: center;
    font-weight: bold;
  
  }
  .project-tech {
    margin-top: 2rem;
    display: flex;
    color: var(--clr-light);
    list-style: none;
    justify-content: center;
  }
  .project-tech > li {
    padding-right: 1rem;
    color: var(--clr-light-bg);
  }
  .project-animation {
    animation: none;
  }
  .repo {
    margin-top: 2rem;
    text-align: center;
  }
  .repo > p {
    display: inline-block;
    margin-left: -3px;
    padding: 0 0.5rem;
  }
  .repo > p > a {
    text-decoration: none;
    color: var(--clr-light-bg);
  }
  .repo p:first-child {
    border-right: solid 3px black;
  }
  /* contact  */
  .contact-me {
    background-color: var(--clr-accent);
    margin: 2rem 2rem;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
  }
  .contact:nth-of-type(1) {
    order: 2;
  }
  .contact-info:nth-of-type(2) {
    order: 1;
  }
  .contact-info {
    margin: 3rem 0;
    color: var(--clr-light-bg);
  }
}
@media (max-width: 600px) {
  .logo {
    display: none;
  }
  .hidden-menu {
    position: fixed;
    right: 1rem;
    top: 1rem;
  }
  .hamburger {
    position: absolute;
    right: 1rem;
    top: 1rem;
    font-size: 2rem;
    color: var(--clr-light-bg);
    cursor: pointer;
  }
  .close {
    position: absolute;
    right: 1rem;
    top: 1rem;
    font-size: 2.5rem;
    color: var(--clr-light-bg);
    cursor: pointer;
  }
  .hidden {
    display: none;
  }
  .visibility {
    visibility: hidden;
  }
  .translate {
    transform: translateX(-90vw);
  }
  .cover-page {
    background-image: url(/images/trees-gcd6d99c4e_1920.jpg);
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: space-betwen;
  }
  .sidebar {
    background-color: var(--clr-dark);
    position: fixed;
    left: 100vw;
    padding-top: 3rem;
    color: var(--clr-light);
    width: 90vw;
    height: 100vh;
    box-shadow: var(--bs);
    transition: transform 0.3s linear 0.2s;
  }
  .sidelinks {
    padding-top: 3rem;
    width: 100%;
    height: 100%;
  }
  .sidelinks {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
  }
  .sidelinks > li {
    background-color: var(--clr-accent);
    list-style: none;
    width: 80%;
    height: 4rem;
    text-align: center;
    border: solid 1px none;
    border-radius: 0.2rem;
  }
  .sidelinks > li > a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    color: var(--clr-light);
    text-decoration: none;
  }
  .span {
    padding: 0 1rem;
  }
  .socials {
    display: none;
  }
  .sidebar-background {
    display: none;
  }
  .bounce {
    width: 3rem;
    height: 3rem;
    display: block;
    margin: 0 auto;
    animation: bounce 2s infinite;
  }
  @keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
      transform: translateY(0);
    }
    40% {
      transform: translateY(0.5rem);
    }
    60% {
      transform: translateY(0.19rem);
    }
  }
  .sidelinks > ul > li > a > i,
.socials > ul > li > a > i {
    display: none;
  }
  .profile-picture {
    display: none;
  }
  .intro-message {
    margin: auto auto;
    padding: 4rem;
    text-align: center;
  }
  .section-title {
    color: var(--clr-dark);
    text-align: center;
    margin: 2rem 2rem;
  }
  /* About_me  */
  .about-me {
    color: var(--clr-accent);
    padding: 3rem;
    display: flex;
    flex-direction: column;
  }
  
  .mypicture {
    margin: 1rem;
    height: 15em;
    width: 15em;
    border-radius: 50%;
    background-color: black;
    background-image: url(/images/profile.jpeg);
    background-position: center;
    background-size: contain;
    box-shadow: var(--bs);
  }
 
  .mypicture:nth-of-type(1) {
    order: 1;
  }
  
  
  /* skills section */
  .skills {
    background-color: var(--clr-accent);
    margin: 2rem 2rem;
    padding: 2rem;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    text-align: center;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
  }
  .skills > li {
    background-color: var(--clr-light);
    padding: 0.5rem;
    border: solid 1px none;
    border-radius: 0.3rem;
    box-shadow: var(--bs);
    margin: 1rem;
    list-style: none;
  }
  .skills > li > img {
    height: 2rem;
    width: 2rem;
  }
  /* project section */
  .projects {
    margin: 4rem 2rem;
    padding: 2rem;
    background-color: var(--clr-accent);
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
    display: flex;
    flex-direction: column;
    color: var(--clr-light-bg);
  }
  .project-image {
    display: none;
  }
  .project-info {
    transform: none;
  }
  .project-info > h5 {
    text-align: center;
    font-weight: bold;
  }
  .project-tech {
    margin-top: 2rem;
    display: flex;
    color: var(--clr-dark);
    list-style: none;
    justify-content: center;
  }
  .project-tech > li {
    padding-right: 1rem;
    color: var(--clr-light-bg);
  }
  .project-animation {
    animation: none;
  }
  .repo {
    margin-top: 2rem;
    text-align: center;
  }
  .repo > p {
    display: inline-block;
    margin-left: -3px;
    padding: 0 0.5rem;
  }
  .repo > p > a {
    text-decoration: none;
    color: var(--clr-light-bg);
  }
  .repo p:first-child {
    border-right: solid 3px black;
  }
  /* contact  */
  .contact-me {
    background-color: var(--clr-accent);
    margin: 2rem 2rem;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    border: solid 1px none;
    border-radius: 0.5rem;
    box-shadow: var(--bs);
   
  }
  .contact:nth-of-type(1) {
    order: 2;
  }
  .contact-info:nth-of-type(2) {
    order: 1;
  }
  .contact-info {
    margin: 3rem 0;
    color: var(--clr-light-bg);
  }
}

